org.apache.tools.ant.taskdefs.condition

## Class Xor

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.ConditionBase
    - - org.apache.tools.ant.taskdefs.condition.Xor

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class Xor
    extends ConditionBase
    implements Condition

The `Xor` condition type to exclusive or operations. This does not shortcut stuff.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Xor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eval()` Evaluate the contained conditions.

### Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase

`add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Xor

    public Xor()

### Method Detail

#### eval

    public boolean eval()
                 throws BuildException

Evaluate the contained conditions.

Specified by:
  `eval` in interface `Condition`
Returns:
  the result of xoring the conditions together.
Throws:
  `BuildException` - if an error occurs.